uniform sampler2D colortexture;
uniform sampler2D displacement;
uniform float strength;
uniform float alphavalue;
varying vec2 texturecoordinate;

void main(void)
{
	vec4 displacement_texel = texture2D(displacement, texturecoordinate);
	displacement_texel.y *= 0.5;
	displacement_texel.x *= 1;
	
	vec4 color_texel = texture2D(colortexture, texturecoordinate+(displacement_texel.xy) * strength);
	gl_FragColor = color_texel * alphavalue;

}